%define module_name pybugz

%define name python-bugz
%define release		%mkrel 5
Summary:    A python and command line interface to Bugzilla 
Name:		%name
Version:    0.6.11	
Release:	%release
Source0:    http://media.liquidx.net/static/%name/%module_name-%version.tar.bz2	
Patch0:      pybugz-0.6.11-python25.diff
License:	GPL
Group:		Development/Python
Url:		http://www.liquidx.net/pybugz/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildArch: noarch
Requires:  python-elementtree

%description
PyBugz is a python and command line interface to Bugzilla.

It was conceived as a tool to speed up the workflow for Gentoo Linux developers
and contributors when dealing with bugs using Bugzilla. By avoiding the clunky 
web interface, the user quickly search, isolate and contribute to the project 
very quickly. 
Developers alike can easily extract attachments and close bugs all from the 
comfort of the command line.

PyBugz is written in Python and written in a way to be extended easily for 
use on other Bugzillas.  

%prep
%setup -q -n %module_name-%version
perl -pi -e 's|http://bugs.gentoo.org/|http://qa.mandriva.com/|' bugz.py
%patch0 -p0

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES


%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root) 
%doc README




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.6.11-5mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.11-5mdv2008.0
+ Revision: 90199
- rebuild

* Sun Jul 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.11-4mdv2008.0
+ Revision: 54477
- Remove unused patch
- [BUGFIX] Add Patch 1 to fix bug  #31852 (thanks to Gustavo De Nardin)

* Mon May 14 2007 Michael Scherer <misc@mandriva.org> 0.6.11-3mdv2008.0
+ Revision: 26606
- add patch0, to make it work with python 2.5 and bundled elementtree


* Wed Dec 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.11-2mdv2007.0
+ Revision: 100501
- Rebuild against new python

* Wed Sep 27 2006 Michael Scherer <misc@mandriva.org> 0.6.11-1mdv2007.1
+ Revision: 62647
- add a Requires on python-elementtree, thanks titi for spotting this
- version 0.6.11
- Import python-bugz

* Fri Sep 22 2006 Michael Scherer <misc@mandriva.org> 0.6-1mdv2007.0
- first package

